/*
 * 쐬: 2003/12/25
 *
 */
package com.muimi.delcvs;

import org.eclipse.core.resources.IContainer;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;

/**
 * @author miya
 *
 */
public class DelCvsAction implements IObjectActionDelegate{

	private ISelection selection;

	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
	}

	public void run(IAction action) {
		if(selection instanceof IStructuredSelection){

			boolean result = MessageDialog.openConfirm(null, "confirm", "Will you delete all CVS directory under this folder?");
			if(!result){
				return;
			}
			
			IStructuredSelection ss = (IStructuredSelection)selection;
			IContainer container = (IContainer)ss.getFirstElement();
			DelCvsPlugin.getDefault().deleteCvs(container);
		}
	}

	public void selectionChanged(IAction action, ISelection selection) {
		this.selection = selection;
	}
}
